import 'package:healthrian_ble_support_for_cardioclick/'
    'healthrian_ble_support_for_cardioclick.dart';

class BLEManager extends ManagerInterface {
  factory BLEManager() {
    return _instance;
  }

  BLEManager._internal() {}

  static final BLEManager _instance = BLEManager._internal();

  CardioClickVersions versions = CardioClickVersions.v2;

  ModuleV1 moduleV1 = ModuleV1();
  ModuleV2 moduleV2 = ModuleV2();

  ModuleInterface get module {
    switch(versions){
      case CardioClickVersions.v1:
        return moduleV1;
      case CardioClickVersions.v2:
        return moduleV2;
    }
  }
}
